let i = 0;

/**
 * Takes a function and logs the time it takes on the console.
 *
 * @memberOf function
 * @function
 * @param label
 * @param fn
 */
const measureTime = (label = i++, fn) => (...args) => {
    console.time(label);
    const result = fn(...args);
    console.timeEnd(label);
    return result;
};

export default measureTime;