import merge from '../merge';

export default (test) => {
    const a = {
        foo: 'foo',
        bar: {
            foo: 'foo'
        },
        baz: [1],
        blubb: {
            foo: {
                bar: 'bar'
            }
        }
    };

    const b = {
        foo: 'foob',
        bar: {
            second: 1
        },
        baz: [2],
        blubb: {
            foo: {
                foo: 'foo'
            }
        }
    };

    const expected = {
        foo: 'foob',
        bar: {
            foo: 'foo',
            second: 1
        },
        baz: [1, 2],
        blubb: {
            foo: {
                bar: 'bar',
                foo: 'foo'
            }
        }
    };

    test.ok(JSON.stringify(merge(a, b)) === JSON.stringify(expected), 'objects should be merged');
    test.done();
}